%global __provides_exclude_from ^%{_libdir}/noise/.*\\.so$

Name:           noise
Summary:        The official elementary music player
Version:        0.4.0.3
Release:        1%{?dist}
License:        LGPLv2+

URL:            https://launchpad.net/noise
Source0:        https://launchpad.net/%{name}/0.4.x/%{version}/+download/%{name}-%{version}.tar.xz

# Patch to not provide a generic icon name but the branded icon
Patch0:         00-rename-icon.patch

BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  libappstream-glib
BuildRequires:  vala >= 0.26

BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(glib-2.0) >= 2.39
BuildRequires:  pkgconfig(granite)
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gstreamer-pbutils-1.0)
BuildRequires:  pkgconfig(gstreamer-tag-1.0)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.11.6
BuildRequires:  pkgconfig(libgda-5.0)
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(libpeas-1.0)
BuildRequires:  pkgconfig(libpeas-gtk-1.0)
BuildRequires:  pkgconfig(taglib_c)
BuildRequires:  pkgconfig(zeitgeist-2.0)

Requires:       hicolor-icon-theme

# noise explicitly requires the sqlite libgda database provider
Requires:       libgda-sqlite%{?_isa}


%description
Noise is a fast and beautiful GTK3 audio player with a focus on music
and libraries. It handles external devices, CDs, and album art. Noise
utilizes Granite for a consistent and slick UI.


%package        devel
Summary:        The official elementary music player (development headers)
Requires:       %{name}%{?_isa} = %{version}-%{release}
%description    devel
Noise is a fast and beautiful GTK3 audio player with a focus on music
and libraries. It handles external devices, CDs, and album art. Noise
utilizes Granite for a consistent and slick UI.

This package contains files needed for developing with noise.


%prep
%autosetup -p1


%build
mkdir build && pushd build
%cmake -DBUILD_FOR_ELEMENTARY:BOOL=OFF ..
%make_build
popd


%install
pushd build
%make_install
popd

%find_lang noise

# move appdata to "approved location"
mv %{buildroot}/%{_datadir}/metainfo %{buildroot}/%{_datadir}/appdata


%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/org.pantheon.noise.desktop
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/appdata/org.pantheon.noise.appdata.xml


%post
/sbin/ldconfig
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f noise.lang
%doc AUTHORS README.md
%license COPYING

%{_bindir}/noise

%{_libdir}/libnoise-core.so.0
%{_libdir}/libnoise-core.so.0.1

%{_libdir}/noise/

%{_datadir}/appdata/org.pantheon.noise.appdata.xml
%{_datadir}/applications/org.pantheon.noise.desktop
%{_datadir}/glib-2.0/schemas/org.pantheon.noise.gschema.xml
%{_datadir}/icons/hicolor/*/apps/org.pantheon.noise.svg
%{_datadir}/noise/


%files          devel
%{_libdir}/libnoise-core.so
%{_libdir}/pkgconfig/noise-core.pc

%{_includedir}/noise-core/

%{_datadir}/vala/vapi/noise-core.deps
%{_datadir}/vala/vapi/noise-core.vapi


%changelog
* Sat Apr 22 2017 Fabio Valentini <decathorpe@gmail.com> - 0.4.0.3-1
- Update to version 0.4.0.3.

* Thu Feb 09 2017 Fabio Valentini <decathorpe@gmail.com> - 0.4.0.2-7
- Filter provides to exclude internal plugins.

* Sat Jan 28 2017 Fabio Valentini <decathorpe@gmail.com> - 0.4.0.2-6
- Rename bundled icon to prevent file conflicts.

* Wed Jan 25 2017 Fabio Valentini <decathorpe@gmail.com>
- Remove explicit BR: /usr/bin/pkgconfig.

* Mon Jan 23 2017 Fabio Valentini <decathorpe@gmail.com> - 0.4.0.2-5
- Make BR on /usr/bin/pkg-config explicit.

* Tue Jan 03 2017 Fabio Valentini <decathorpe@gmail.com> - 0.4.0.2-4
- Move appdata to "approved location".

* Tue Jan 03 2017 Fabio Valentini <decathorpe@gmail.com> - 0.4.0.2-3
- Make libgda-sqlite dependency arched.

* Sat Dec 31 2016 Fabio Valentini <decathorpe@gmail.com> - 0.4.0.2-2
- Clean up spec file.

* Thu Dec 01 2016 Fabio Valentini <decathorpe@gmail.com> - 0.4.0.2-1
- Update to version 0.4.0.2.

* Thu Sep 29 2016 Fabio Valentini <decathorpe@gmail.com> - 0.4.0.1-3
- Mass rebuild.

* Wed Sep 28 2016 Fabio Valentini <decathorpe@gmail.com> - 0.4.0.1-2
- Spec file cleanups.

* Tue Sep 20 2016 Fabio Valentini <decathorpe@gmail.com> - 0.4.0.1-1
- Update to version 0.4.0.1.

* Mon Sep 19 2016 Fabio Valentini <decathorpe@gmail.com> - 0.4-2
- Spec file cosmetics.

* Thu Aug 11 2016 Fabio Valentini <decathorpe@gmail.com> - 0.4-1
- Update to version 0.4.


